- Qt 5.15
- Qt 3D
- C++ Classes
- QBackendNode
- Qt 5.15.18 Reference Documentation

# Obsolete Members for QBackendNode

The following members of class QBackendNode are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Protected Functions

`(obsolete)` void | notifyObservers(const QSceneChangePtr &e)
`(obsolete)` virtual void | sceneChangeEvent(const QSceneChangePtr &e)
`(obsolete)` QNodeCommand::CommandId | sendCommand(const QString &name, const QVariant &data, QNodeCommand::CommandId replyTo = QNodeCommand::CommandId())
`(obsolete)` void | sendReply(const QNodeCommandPtr &command)

## Member Function Documentation

### `[protected]` void QBackendNode::notifyObservers(const QSceneChangePtr &e)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Notifies observers of scene change e.

### `[virtual protected]` void QBackendNode::sceneChangeEvent(const QSceneChangePtr &e)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

### `[protected]` QNodeCommand::CommandId QBackendNode::sendCommand(const QString &name, const QVariant &data, QNodeCommand::CommandId replyTo = QNodeCommand::CommandId())

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Send the command named name with contents data, and specify replyTo as the command id to which the reply needs to be sent.

### `[protected]` void QBackendNode::sendReply(const QNodeCommandPtr &command)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

Send the reply to command.